GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
gdcm::Item Class Reference

Class to represent an Item A component of the value of a Data Element that is of Value Representation Sequence of Items. An Item contains a Data Set . See PS 3.5 7.5.1 Item Encoding Rules Each Item of a Data Element of VR SQ shall be encoded as a DICOM Standart Data Element with a specific Data Element Tag of Value (FFFE,E000). The Item Tag is followed by a 4 byte Item Length field encoded in one of the following two ways Explicit/ Implicit. More...

`#include <gdcmItem.h>`

Inheritance diagram for gdcm::Item:
[legend]
Collaboration diagram for gdcm::Item:
[legend]

List of all members.

## Public Member Functions

| Item ()
| Item (Item const &val)
void | Clear ()
| Clear Data Element (make Value empty and invalidate Tag & VR)
bool | FindDataElement (const Tag &t) const
const DataElement & | GetDataElement (const Tag &t) const
template<typename TDE >
VL | GetLength () const
const DataSet & | GetNestedDataSet () const
DataSet & | GetNestedDataSet ()
void | InsertDataElement (const DataElement &de)
template<typename TDE , typename TSwap >
std::istream & | Read (std::istream &is)
void | SetNestedDataSet (const DataSet &nested)
template<typename TDE , typename TSwap >
const std::ostream & | Write (std::ostream &os) const

## Friends

std::ostream & | operator<< (std::ostream &os, const Item &val)

## Detailed Description

Class to represent an Item A component of the value of a Data Element that is of Value Representation Sequence of Items. An Item contains a Data Set . See PS 3.5 7.5.1 Item Encoding Rules Each Item of a Data Element of VR SQ shall be encoded as a DICOM Standart Data Element with a specific Data Element Tag of Value (FFFE,E000). The Item Tag is followed by a 4 byte Item Length field encoded in one of the following two ways Explicit/ Implicit.

Note:
  ITEM: A component of the Value of a Data Element that is of Value Representation Sequence of Items. An Item contains a Data Set.

Examples:
  ChangeSequenceUltrasound.cxx, DumpGEMSMovieGroup.cxx, ExtractEncryptedContent.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, gdcmrtionplan.cxx, gdcmrtplan.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenLongSeqs.cxx, GenSeqs.cxx, GetSequenceUltrasound.cxx, GetSubSequenceData.cxx, and LargeVRDSExplicit.cxx.

## Constructor & Destructor Documentation

gdcm::Item::Item | ( |  | ) | `[inline]`

gdcm::Item::Item | ( | Item const & | val | ) | `[inline]`

## Member Function Documentation

void gdcm::Item::Clear | ( |  | ) | `[inline]`

Clear Data Element (make Value empty and invalidate Tag & VR)

Reimplemented from gdcm::DataElement.

References gdcm::DataElement::Clear().

Referenced by gdcm::SequenceOfItems::Read().

bool gdcm::Item::FindDataElement | ( | const Tag & | t | ) | const`[inline]`

Examples:
  ReadAndDumpDICOMDIR.cxx.

const DataElement& gdcm::Item::GetDataElement | ( | const Tag & | t | ) | const`[inline]`

Examples:
  ReadAndDumpDICOMDIR.cxx.

template<typename TDE >

VL gdcm::Item::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

const DataSet& gdcm::Item::GetNestedDataSet | ( |  | ) | const`[inline]`

Examples:
  ChangeSequenceUltrasound.cxx, DumpGEMSMovieGroup.cxx, ExtractEncryptedContent.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, gdcmrtionplan.cxx, gdcmrtplan.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenSeqs.cxx, GetSequenceUltrasound.cxx, GetSubSequenceData.cxx, and LargeVRDSExplicit.cxx.

Referenced by gdcm::SequenceOfItems::Read().

DataSet& gdcm::Item::GetNestedDataSet | ( |  | ) | `[inline]`

void gdcm::Item::InsertDataElement | ( | const DataElement & | de | ) | `[inline]`

template<typename TDE , typename TSwap >

std::istream& gdcm::Item::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::DataElement.

References gdcm::DataSet::Clear(), gdcmDebugMacro, gdcmErrorMacro, gdcmWarningMacro, gdcm::DataSet::IsEmpty(), and gdcm::SwapperDoOp::Swap().

Referenced by gdcm::SequenceOfItems::Read().

void gdcm::Item::SetNestedDataSet | ( | const DataSet & | nested | ) | `[inline]`

template<typename TDE , typename TSwap >

const std::ostream& gdcm::Item::Write | ( | std::ostream & | os | ) | const`[inline]`

Reimplemented from gdcm::DataElement.

References gdcmWarningMacro, gdcm::VL::GetLength(), gdcm::VL::Write(), and gdcm::Tag::Write().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Item & | val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmItem.h